+2 votes
in Operating Systems by (13.1k points)

When I try to restart the Apache server on CentOS Linux, I get the following error:

"invalid command 'sslproxyengine', perhaps misspelled or defined by a module not included in the server configuration"

How to fix this error?

1 Answer

0 votes
by (20k points)

You can try one of the following approaches to fix the error:

1. Open the file httpd.conf in an editor and uncomment the following line to load ssl_module. Save the file and restart Apache. (systemctl restart httpd)

LoadModule ssl_module modules/mod_ssl.so

2. If the 1st approach does not work, you may have to install mod_ssl. Run the following commands to install and enable mod_ssl.

yum install mod_ssl

systemctl restart httpd

...